import { defineStore } from 'pinia'

type IVideo = {
  list: { url: string; name: string; qa: { url: string; q: string; a: string }[] }[]
}

const useVideoStore = defineStore('video', {
  persist: true,
  state: () =>
    ({
      list: [
        {
          url: '/libai/wait.mp4',
          name: '李白',
          qa: [
            {
              url: '/libai/1.mp4',
              q: '李白是谁？',
              a: '李白是中国唐代著名的诗人，被誉为“诗仙”。他的诗作以豪放、想象力丰富而著称。'
            },
            {
              url: '/libai/2.mp4',
              q: '李白生活在哪个时期？',
              a: '李白生活在唐朝，大约在公元701年到762年之间。'
            },
            {
              url: '/libai/3.mp4',
              q: '李白的诗有什么特点？',
              a: '李白的诗以其浪漫主义风格、对自然景观的细腻描绘和对自由无拘无束的追求而闻名。'
            },
            {
              url: '/libai/4.mp4',
              q: '李白最著名的作品是哪些？',
              a: ' 李白最著名的作品包括《将进酒》、《庐山谣》、《静夜思》等。'
            },
            {
              url: '/libai/5.mp4',
              q: '李白的诗歌反映了哪些主题？',
              a: '李白的诗歌主题多样，包括对自然的赞美、对友情和饮酒的颂扬，以及对道教思想的探索。'
            },
            {
              url: '/libai/6.mp4',
              q: '李白的作品在中国文学中有什么影响？',
              a: '李白的作品对中国文学产生了深远的影响，他的诗歌被视为中国古典诗歌的高峰，影响了后世无数诗人。'
            },
            {
              url: '/libai/7.mp4',
              q: '李白的诗歌风格与其他唐代诗人有何不同？',
              a: '与其他唐代诗人相比，李白的诗歌更加注重个人情感的表达，风格更为豪放不羁。'
            },
            {
              url: '/libai/8.mp4',
              q: '李白在历史上有哪些著名的轶事？',
              a: '李白有许多著名轶事，例如他在月光下划船、醉酒作诗等，这些故事体现了他自由奔放的生活态度。'
            },
            {
              url: '/libai/9.mp4',
              q: '李白的诗歌对现代文化有什么影响？',
              a: '李白的诗歌对现代文化仍有深远影响，不仅在中国，也在世界各地，他的作品被翻译成多种语言，被广泛阅读和研究。'
            },
            {
              url: '/libai/10.mp4',
              q: '如何评价李白在中国文学史上的地位？',
              a: '李白在中国文学史上占据着极其重要的地位，他的作品不仅丰富了诗歌的艺术表现形式，也反映了唐代社会的精神风貌。'
            }
          ]
        }
      ]
    }) as IVideo,
  getters: {},
  actions: {}
})

export default useVideoStore
